//
//  WeatherBrowserViewController.m
//  WeatherBrowser
//
//  Created by rk on 29/01/11.
//  Copyright 2011 Interchart. All rights reserved.
//

#import "WeatherBrowserViewController.h"

@implementation WeatherBrowserViewController


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	webView = [[[UIWebView alloc] initWithFrame:self.view.bounds] autorelease];
	webView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
	webView.scalesPageToFit = true;
	[self.view addSubview:webView];
	[webView sizeToFit];
	NSString *radarUrl = @"http://www.bom.gov.au/products/IDR703.loop.shtml";
	NSURL *url = [NSURL URLWithString:radarUrl];
	NSURLRequest *urlRequest = [NSURLRequest requestWithURL:url];
	[webView loadRequest:urlRequest];
 
}

- (void)viewDidAppear:(BOOL)animated {
	[super viewDidAppear:animated];
	[webView sizeToFit];
}



// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return YES;
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation {
	[webView sizeToFit];
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
